{% extends "/admin/master.twig" %}

{% block title %}Class editor{% endblock %}
{% block description %}Edit classes{% endblock %}

{% block body %}

    <form class="ui form" id="form" method="POST" action="/admin/classes/edit">

        <div class="ui error message"></div>

        <div class="ui two wide stackable grid">
            <div class="two wide column"></div>

            <div class="twelve wide column">
                <div class="fields">
                    <div class="twelve wide field">
                        <label>Opening post title</label>
                        <input name="open-title" placeholder="Title" type="text" value="{{ class.start_title }}">
                    </div>
                    <div class="four wide field">
                        <label>Opening date</label>
                        <input type="date" name="open-date" value="{{ class.start_date }}">
                    </div>
                </div>

                <div class="field">
                    <label>Opening post body</label>
                    <textarea name="open-body" placeholder="Opening post info" class="editor">{{ class.start_body }}</textarea>
                </div>

                <div class="fields">
                    <div class="twelve wide field">
                        <label>Closing post title</label>
                        <input name="close-title" placeholder="Title" type="text" value="{{ class.end_title }}">
                    </div>
                    <div class="four wide field">
                        <label>Closing date</label>
                        <input type="date" name="close-date" value="{{ class.end_date }}">
                    </div>
                </div>

                <div class="field">
                    <label>Closing post body — leave empty until class ends</label>
                    <textarea name="close-body" placeholder="Closing post info" class="editor">{{ class.end_body }}</textarea>
                </div>


                <input name="id" type="hidden" value="{{ class.id }}">
                <input type="hidden" name="token" value="{{ token }}">

                <button class="ui massive fluid button" type="submit">Submit</button>
            </div>

            <div class="two wide column"></div>
        </div>
    </form>

    {% block header %}
        <script src='/tinymce/tinymce.min.js'></script>
        <script>
            tinymce.init({
                selector: '.editor',

                autoresize_max_height: 600,
                autoresize_min_height: 300,

                plugins: "autoresize textcolor colorpicker hr link nonbreaking paste visualchars anchor contextmenu image insertdatetime " +
                         "lists preview searchreplace table wordcount autolink code fullscreen media print spellchecker",

                menubar: "file edit view insert format",

                toolbar: "undo redo | styleselect fontsizeselect | forecolor | bold italic underline strikethrough | alignleft aligncenter alignright | " +
                         "indent outdent | numlist bullist | link image table blockquote | hr anchor nonbreaking  | fullscreen preview spellchecker help",

                contextmenu: "copy paste | bold italic underline strikethrough | alignleft aligncenter alignright",

                branding: false,
                default_link_target: "_blank",
                link_assume_external_targets: true,

                target_list: [
                    {title: 'None', value: ''},
                    {title: 'Same page', value: '_self'},
                    {title: 'New page', value: '_blank'},
                    {title: 'LIghtbox', value: '_lightbox'}
                ],

                contextmenu_never_use_native: true,

                image_caption: true,
                image_class_list: [
                    {title: 'Fluid', value: 'ui fluid image'},
                    {title: 'Centered', value: 'ui centered image'},
                    {title: 'Rounded', value: 'ui rounded image'},
                    {title: 'Circular', value: 'ui circular image'}
                ],

                insertdatetime_formats: ["%d.%m.%Y", "%B %d, %Y", "%M:%H"],

                plugin_preview_height: 600,
                plugin_preview_width: 1000,

                fontsize_formats: "8pt 10pt 11pt 12pt 14pt 18pt 24pt"
            });
        </script>
    {% endblock %}

    <script>
        $('.ui.form')
            .form({
                fields: {
                    title: {
                        identifier: 'open-title',
                        rules: [
                            {
                                type: 'empty',
                                prompt: 'Title cannot be empty'
                            }
                        ]
                    },
                    openbody: {
                        identifier: 'open-body',
                        rules: [
                            {
                                type: 'empty',
                                prompt: 'Body cannot be empty'
                            }
                        ]
                    },
                    closetitle: {
                        identifier: 'close-title',
                        rules: [
                            {
                                type: 'empty',
                                prompt: 'Body cannot be empty'
                            }
                        ]
                    },
                    closedate: {
                        identifier: 'date',
                        rules: [
                            {
                                type: 'empty',
                                prompt: 'Date cannot be empty'
                            }
                        ]
                    }
                }
            })
        ;
    </script>

{% endblock %}
